/* One-col master v. 1.1
 * Last modified: 18 Apr 2021 */

/* STRUCTURE =============================================================================== */

/* HTML5 elements ------------------------------------------- */

header, footer, main, nav, aside, article {
	display: block;
	margin: 0;
	padding: 0;
}

/* Hide old elements ---------------------------------------- */

#gallery-menu-wrap, #blog-menu-wrap, div.rssfeed, .caplarger {
	display: none;
}

/* Font family/size reset ----------------------------------- */

html {
	-webkit-text-size-adjust: 100%;
}
html, body {
	margin: 0;
	padding: 0;
	font: 16px / 1.4667 'IBM Plex Sans', 'Liberation Sans', Helvetica, Arial, sans-serif;
}

/* Layers - z-index ----------------------------------------- */

/* Lightbox is at 8040, make sure nothing is on top of it. */

.overlay {
	z-index:7000;
}
.menu-toggle {
	z-index: 6999;
}
.rd-menu-wrap {
	z-index: 7001;
}
/* main navigation submenus */
.main-nav ul ul {
	z-index: 6998;
}

/* Main elements of page ------------------------------------ */

.page-wrap {
	margin: 0 auto;
	position: relative;
}
.menu-wrap, .inner-wrap {
	box-sizing: border-box;
	position: relative;
}
.main-area {
	box-sizing: border-box;
	position: relative;
	padding: 1.75em 0 1.5em;
	margin: 0 auto;
}
h1, h2 {
	margin: 0;
	font-weight: normal;
}
h3 {
	font-size: 1.125em;
	font-weight: 600;
	margin: 0;
}
h4,h5,h6 {
	font-weight: normal;
	font-size: 1em;
	margin: 1em 0;
}

/* Page content spacing ------------------------------------- */

#content {
	padding-bottom: 1.5em;
	min-height: 300px;
	margin: 0 auto;
}
#gallery #content {
	padding-bottom: 0;
}
.pagetitle, #blog .pagetitle {
	font-size: 1.625em;
	font-weight: 400;
	margin-bottom: 0.75em;
	margin-top: 0;
	padding-top: 0;
	padding-bottom: 0;
}
#blog .pagetitle {
	margin-bottom: 0;
}
.blogtitle {
	font-size: 1.111em;
	margin-bottom: -0.25em;
	text-transform: uppercase;
	text-align: center;
}
.blogtitle a {
	color: inherit;
}
.spacer {
	height: 0;
	clear: both;
}
#blog .section-wrap {
	margin-top: 1.5em;
	margin-bottom: 1.5em;
}
.secttitle {
	font-size: 1.375em;
	font-weight: 400;
	margin-bottom: 0.875em;
	margin-top: 0.125em;
}
.no-content {
	margin-top: 1.5em;
	margin-bottom: 1.5em;
	font-style: italic;
}
.photoleft, .photoright {
	max-width: 100%;
	overflow: auto;
	margin-bottom: 1.5em;
}
.photoleft.portrait-75, .photoright.portrait-75 {
}
.photoleft.portrait-66, .photoright.portrait-66 {
}
.photoleft a, .photoright a {
	position: relative;
	z-index: +1;
}
.photoleft .usrimg,
.photoright .usrimg,
.photobreak .usrimg {
	display: inline-block;
	box-sizing: border-box;
	margin-top: 0.250em;
	max-width: 100%;
	height: auto;
}
.photoabove, .photobelow {
	display:inline-block;
	/* A small right margin so it aligns with an in-page gallery */
	/* margin-right: 0; */
}
.photobelow {
	margin-top: 0.5em;
	margin-bottom: 1.75em;
}
.photoabove {
	margin-bottom: 1.75em;
	margin-top: 0;
}
.caption {
	margin-bottom: 0.75em;
	margin-top: 0.75em;
	font-style: italic;
	font-size: 0.93em;
}
.photoright .caption, .photoleft .caption {
	margin-bottom: 0;
}
.photoabove .caption {
	margin-bottom: -0.25em;
}
.photobelow .caption {
	margin-bottom: -0.5em;
}

/* User content HTML elements */

.secttext p:first-child {
	margin-top: 0;
}
.secttext h3 {
	margin-bottom: 0.875em;
}
.secttext ul, .secttext ol {
	margin-top: 0;
}
.secttext ul li, .secttext ol li {
	margin-top: 0.375em;
}
.secttext ul.close li, .secttext ol.close li {
	margin-top: 0.125em;
}
.secttext ul li:first-child, .secttext ol li:first-child,
.secttext ul.close li:first-child, .secttext ol.close li:first-child {
	margin-top: 0;
}
.secttext ul li:last-child, .secttext ol li:last-child {
}
.secttext ul.close li:last-child, .secttext ol.close li:last-child {
	margin-bottom: 0;
}
blockquote {
	margin-top: 1.25em;
	margin-bottom: 1.25em;
}

/* Page bottom breadcrumbs ---------------------------------- */

.breadcrumbsbottom {
	margin-top: 1em;
}
.breadcrumbsbottom span {
	font-style: italic;
}
#blog .breadcrumbsbottom, #gallery .breadcrumbsbottom {
	display: none;
}

/* Blog pages ----------------------------------------------- */

/* Front page */

.blogdesc {
	margin-top: 1.5em;
	font-style: italic;
}
.entry-time {
	margin-bottom: 1.25em;
	font-style: italic;
}
.readmore-break {
	clear: none;
	height: 0;
}
.readmore {
	display: inline;
	font-style: italic;
	white-space: nowrap;
}

/* Hide sticky news at top of blog front page */

.sticky_wrap {
	display: none;
}

/* Article page */

#blog.blog-article .section-wrap {
	margin-top: 0;
	margin-bottom: 0;
}
#blog .secttitle {
	margin-bottom: 0.75em;
}

/* Article navigation */

.article-nav {
	box-sizing: border-box;
	overflow: auto;
	padding-top: 0.5em;
	margin-bottom: 1.5em;
	margin-left: auto;
	margin-right: auto;
}
.nav-previous, .nav-next {
	box-sizing: border-box;
	position: relative;
	margin-top: 0.75em;
	font-style: italic;
}
.nav-next {
	padding-left: 0;
}
.nav-previous::before, .nav-next::after {
	position: relative;
	top: -1px;
	font-style: normal;
}
.nav-previous::before {
	content: "\00ab";
	padding-right: 0.25em;
}
.nav-next::after {
	content: "\00bb";
	padding-left: 0.25em;
}

/* Gallery pages -------------------------------------------- */

#gallery .adminLinks {
	margin-top: -0.5em;
}
#gallery .album-data .adminLinks {
	text-align: left;
	margin-top: 1em;
}
#gallery .adminLinks.admin-image {
	margin-top: 0;
}

/* Front page */

.gallerycount {
	margin-bottom: 1.5em;
	font-style: italic;
	display: none;
}
.albums-wrap {
	margin-top: 0;
	font-size: 0;
	text-align: center;
}
.gallery-home .albums-wrap {
	text-align: left;
}
.album-thumb {
	width: auto;
	font-size: 1rem;
	margin-bottom: 0.75rem;
}
.album-thumb .usrimg {
	max-width: 100%;
	height: auto;
}
.album-data {
	font-size: 1rem;
	margin-left: 0;
	margin-bottom: 2rem;
}
.albumtitle {
	font-size: 1.5em;
	margin-bottom: 0.5em;
}
#content .albumtitle a {
	text-decoration: none;
}
#content .albumtitle a:hover {
	text-decoration: underline;
}
.albumdesc {
	margin-bottom: 0.75em;
}
.albumcount {
	font-style: italic;
}

/* Album page - thumbnails */

.thumb-page {
	overflow: auto;
	margin-bottom: 1em;
	margin-top: 1.75em;
}
.thumb-block {
	display: inline-block;
	vertical-align: top;
	text-align: center;
	max-width: 46%;
	margin: 0 4% 3.2% 0;
}
.thumb-block .usrimg {
	display: inline-block;
	box-sizing: border-box;
	max-width: 100%;
	height: auto;
}
.thumb-block .portrait-75 {
	max-width: 75%;
}
.thumb-block .portrait-66 {
	max-width: 67%;
}
.thumb-block .portrait-56 {
	max-width: 56%;
}
#gallery .secttext {
	margin-bottom: 1em;
}
.galcaption {
	font-size: 0.93rem;
	font-style: italic;
	margin-top: 0.5rem;
	text-align: center;
}


div.fileup {
	font-size: 0.84em;
	text-transform: uppercase;
	margin-bottom: 0.5em !important;
	margin-top: 0;
	padding-bottom: 1em;
	border-bottom: 1px solid #ccc;
}
.fmadmin a, .fileup a {
	color: #cc0000 !important;
} 



/* Footer area */

.touch #login {
	display: none;
}

/* NAVIGATION ============================================================================== */

/* Main navigation with dropdown submenus ------------------- */
/* Applies to primary-nav and secondary-nav ----------------- */

.main-nav .menu-item-is-hidden {
	display: none;
}
.main-nav {
	display: none;
	position: relative;
	box-sizing: border-box;
	margin-left: auto;
	margin-right: auto;
}
.main-nav ul {
	display: inline-block;
	list-style-type: none;
	font-size: 0;
	line-height: 1rem;
	font-weight: normal;
	padding: 0;
}
.main-nav li {
	position: relative;
}
.main-nav ul > li {
	float: none;
	display: inline-block;
}
.main-nav ul a {
	display: block;
	box-sizing: border-box;
	font-size: 0.9rem;
	padding: 0.85em 0;
	margin: 0 0.75em;
	text-align: center;
}

/* Trash in primary menu */

.primary-nav ul li.menu-item-trashcan > a {
	background-color: #cc0000;
	color: #fff;
	padding: 0.675em 0.5em 0.75em;
	border-radius: 4px;
}
.primary-nav ul li.menu-item-trashcan > a:hover {
	color: #fff;
	text-decoration: none;
}
#content a.admin.empty-trash, #content a.admin.empty-trash:hover {
	background-color: #cc0000;
	color: #fff;
	text-decoration: none;
	font-size: 1rem;
	line-height: inherit;
}

/* Submenus - hidden off screen */

.main-nav ul ul {
	display: block;
	min-width: 200px;
	float: left;
	margin: 0;
	position: absolute;
	top: 100%;
	left: -999em;
	font-size: 1rem;
	line-height: 1rem;
	text-align: left;
}
.main-nav ul ul > li {
	display: block;
}
.main-nav ul ul li.menu-item-has-children > a::after {
	content: "\203A";
	position: absolute;
	right: 10px;
	font-weight: bold;
	margin-top: -1px;
}
.main-nav ul ul a {
	font-weight: normal;
	font-size: 0.875em;
	padding: 0.75em 1.5em 0.635em;
	white-space: nowrap;
	text-transform: none;
	margin: 0;
	text-align: left;
}
.main-nav ul ul a:hover {
	text-decoration: none;
}

/* Display first-level submenu on hover; suppress long-press display on touch device */

.touch .main-nav ul li:hover > ul,
.touch .main-nav ul li:focus > ul {
	display: none;
}
.main-nav ul li:hover > ul,
.main-nav ul li:focus > ul {
	left: auto;
}

/* Second level submenu - hide/show on hover */

.main-nav ul ul > ul {
	left: -999em;
}
.main-nav ul ul li:hover > ul,
.main-nav ul ul li.focus > ul {
	left: 100%;
	top: 0;
}

/* ------------- Primary & secondary menus - left & right ------------- */
/* ------------- uncomment the ones to use ---------------------------- */

/* Primary menu left (or centered) with left-aligned submenus */

.primary-nav {
	text-align: left;
}
.primary-nav ul a {
	text-align: left;
	margin-left: 0;
	margin-right: 1.25em
}

/* Secondary menu left with left-aligned submenus */

.secondary-nav {
	text-align: left;
}
.secondary-nav ul a {
	text-align: left;
	margin-left: 0;
	margin-right: 1.25em
}

/* ----------- End menus left & right -------------- */

.secondary-nav:empty {
	display: none;
}

/* List-style menus  --------------------------------------- */

.list-nav ul {
	position: relative;
	list-style-type: none;
	margin: 0;
	padding: 0;
}
.list-nav ul ul {
	margin-left: 1.75em;
}
.list-nav ul li {
	position: relative;
}
.list-nav ul ul li {
	font-weight: normal;
}
.list-nav ul li a {
	display: inline-block;
}
.rd-menu-wrap .list-nav .menu-item-current-page > a {
	color: inherit;
}
.list-nav .menu-item::before {
	content: ".";
	position: absolute;
	left: -12px;
	top: 0;
	font-weight: 600;
	color: #444;
}
.list-nav .menu-item-has-children::before {
	content: ":";
	top: 0.2em;
}
.list-nav .menu-item-current-page::before {
	content: "\203A";
	top: 0.15em;
}

/* Flat menus - horizontal, top-level only ------------------ */

.flat-nav {
	box-sizing: border-box;
}
.flat-nav ul {
	display: inline-block;
	list-style-type: none;
	padding: 0;
	margin: 0;
}
.flat-nav ul ul {
	margin-left: 0;
}
.flat-nav ul li {
	display: inline-block;
	padding: 0;
}
.flat-nav a {
	margin: 0 0.5em;
}

.footer-area .list-nav .menu-item::before,
.footer-area .list-nav .menu-item-has-children::before,
.footer-area .list-nav .menu-item-current-page::before {
	content: "";
	left: 0;
	top: 0;
}

.footer-area .list-nav {
	display: none;
}

/* Abs position menus --------------------------------------- */
/* Small-screen menu & sitemap menu */

.rd-menu-wrap {
	display: none;
	position: absolute;
	left: auto;
	box-sizing: border-box;
	padding: 0;
	max-width: 100%;
	text-align: center;
}
.rd-menu-wrap .list-nav {
	padding: 1.125em 1em 1.75em 2em;
	display: inline-block;
	text-align: left;
}
.rd-menu-wrap .list-nav ul li a {
	margin: 0.31em 0;
}

/* Abs menu toggles & overlay ------------------------------- */

/* Small-screen menu toggle */

.menu-toggle {
	position: relative;
	box-sizing: border-box;
	margin-left: auto;
	margin-right: auto;
	padding: 1.25em 0.25em 0.5em;
	text-align: right;
}
.menu-toggle span {
	display: inline-block;
	text-transform: uppercase;
	font-weight: 400;
	font-size: 0.875em;
}
.menu-toggle span:before {
	content: "\2630";
	font-size: 23px;
	line-height: 23px;
	padding-right: 6px;
	position: relative;
	top: 3px;
}

/* Overlay */

.overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: #000;
	opacity: 0.4;
	display: none;
}

/* Show Trash submenus even though they're 'hidden' */

.menu-item-trashcan .menu-item-is-hidden {
	display: block;
}

/* WIDGETS ================================================================================= */

/* Widget News ---------------------------------------------- */

.widget-blog .blog-subtitle {
	font-weight: bold;
	margin-bottom: 0.5em;
}
.widget-blog .blog-item {
	margin-bottom: 1em;
}
.widget-blog .item-date, .widget-blog .item-content {
	display: inline;
}
.widget-blog .item-date::after {
	content: " -";
	white-space: pre;
}
.sticky-blog {
	margin-top: 1.5em;
	overflow: auto;
}
.sticky-blog .item-date {
	display: none;
}
.regular-blog {
	margin: 1em 0;
}

/* Widget Gallery - in-page --------------------------------- */

.widget-gallery {
	margin-top: 1.75rem;
}
.widget-gallery, .widget-gallery .widget-content {
	font-size: 0;
	display: block;
	position: relative;
	margin-bottom: 1.25rem;
}
.widget-gallery .widget-content {
	left: -0.4rem;
}
.widget-gallery .widget-title {
	font-size: 1.15rem;
	margin-bottom: 1em;
}
.widget-gallery-block {
	display: inline-block;
	box-sizing: border-box;
	font-size: 1rem;
	padding: 0 0.47rem 0 ;
	margin: 0 0 0.5rem;
	text-align: center;
	vertical-align: top;
}

/* For smallest screen, all set to 2 across.
   Reset at BP 480px */

.widget-gallery-across-3 .widget-gallery-block,
.widget-gallery-across-4 .widget-gallery-block {
	width: 50%;
}
.widget-gallery-block img {
	display: inline-block;
	box-sizing: border-box;
	max-width: 100%;
	height: auto;
}
.widget-gallery-caption {
	font-size: 0.93em;
	line-height: 1.5em;
	font-style: italic;
	display: inline-block;
	padding: 0.25rem 0.25rem 0.25rem;
}

/* BREAKPOINTS ============================================================================= */

@media screen and (min-width: 640px) {

	html, body {
		font-size: 17px;
		line-height: 1.4375;
	}

  /* Float images & scale them */

	.photoleft, .photoright {
		max-width: 42%;
		margin-bottom: 0.25em;
	}

	/* When floated, portrait photos need to be re-scaled to approx. match landscape ones
	in overall size. If you change the max-width above, also change it below for each. */

	.portrait-75 {
		max-width: calc(42% * 0.75);
	}
	.portrait-66 {
		max-width: calc(42% * 0.66);
	}
	.portrait-56 {
		max-width: calc(42% * 0.56);
	}
	.photoright {
		float: right;
		margin-left: 4%;
		margin-bottom: 0;
	}
	.photoleft {
		float: left;
		margin-right: 4%;
		margin-bottom: 0;
	}
	.photoleft .usrimg, .photoright .usrimg {
		max-width: 100%;
	}
	.caption-right {
		text-align: right;
	}
	.caption-center {
		text-align: center;
	}

	/* Gallery album thumbs */

	.albums-wrap {
		text-align: center;
	}
	.album-thumb {
		float: left;
		padding-right: 1.5em;
		margin-bottom: 2rem;
		max-width: 160px;
	}
	.album-data {
		overflow: auto;
	}
	.thumb-block {
		/* 3 photos across, 2% reserved for margin */
		max-width: 31.3333%;
	}

	/* Gallery widget - set correct across */

	.widget-gallery-across-2 .widget-gallery-block {
		width: 50%;
		padding: 0 0.42rem 0;
	}
	.widget-gallery-across-3 .widget-gallery-block {
		width: 33.3333%;
		padding: 0 0.42rem 0;
	}
	.widget-gallery-across-4 .widget-gallery-block {
		width: 25%;
		padding: 0 0.44rem 0;
	}
	.thumb-block {
		/* 3 photos across, 5% reserved for margin */
		max-width: 29.33%;
		margin-left: 2%;
		margin-right: 2%;
	}
	.album-thumb {
		max-width: none;
	}

	/* Blog article navigation */

	.article-nav {
		padding-top: 1em;
	}
	.nav-previous, .nav-next {
		width: 45%;
		float: left;
		margin-top: 0;
	}
	.nav-next {
		float: right;
		text-align: right;
	}

}

@media screen and (min-width: 760px) {

	html, body {
		font-size: 18px;
		line-height: 1.5;
	}

}

@media screen and (min-width: 1024px) {

	/* Desktop main menu on, but not if touch */

	.main-nav {
		display: block;
	}
	.menu-toggle {
		display: none;
	}
	/*
	.touch .main-nav {
		display: none;
	}
	
	.touch .menu-toggle {
		display: block;
	}
	*/

	/* Footer menu on, but not if touch */

	.footer-area .list-nav {
		display: block;
	}
	.touch .footer-area .list-nav {
		display: none;
	}

	/* Misc */

	.thumb-block {
		/* 3 photos across, 5% reserved for margin */
		max-width: 30%;
		margin-left: 1.5%;
		margin-right: 1.5%;
	}

}

